summaryrefslogtreecommitdiff
path: root/qa/025
diff options
context:
space:
mode:
Diffstat (limited to 'qa/025')
-rwxr-xr-xqa/02526
1 files changed, 26 insertions, 0 deletions
diff --git a/qa/025 b/qa/025
new file mode 100755
index 0000000..2434caa
--- /dev/null
+++ b/qa/025
@@ -0,0 +1,26 @@
+#! /bin/sh
+# PCP QA Test No. 025
+# pmcd reconnect and error propagation
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+. ./common.check
+
+trap "rm -f $tmp.*; exit" 0 1 2 3 15
+
+# real QA test starts here
+$sudo src/pmcdgone 2>&1 \
+| tee $seq.full \
+| sed \
+ -e '/__pmGetPDU: fd=3 BINARY hdr: Broken pipe/d' \
+ -e '/pmLookupDesc:/s/Connection reset by peer/IPC protocol failure/' \
+ -e '/pmReconnectContext:/s/Operation/Connection/' \
+| _filter_pcp_start \
+| sed -e '/^Stopping pmlogger/d'